# $Revision: 1.56 $, $Date: 2002/10/06 06:18:33 $
Summary:	WWW Offline Explorer - Caching Web Proxy Server (IPv6)
Summary(pl):	Eksplorator Offline World Wide Web (IPv6)
Name:		wwwoffle
Version:	2.7f
Release:	1
License:	GPL
Group:		Networking/Daemons
#Source0:	ftp://ftp.demon.co.uk/pub/unix/httpd/%{name}-%{version}.tgz
Source0:	ftp://ftp.ibiblio.org/pub/Linux/apps/www/servers/%{name}-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-replacement.patch
URL:		http://www.gedanken.demon.co.uk/wwwoffle/
BuildRequires:	flex
BuildRequires:	zlib-devel
PreReq:		rc-scripts >= 0.2.0
Requires(pre):	fileutils
Requires(pre):	sh-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A proxy HTTP/FTP server for computers with dial-up internet access.
- Caching of pages viewed while connected for review later.
- Browsing of cached pages while not connected, with the ability to
  follow links and mark other pages for download.
- Downloading of specified pages non-interactively.
- Monitoring of pages for regular download.
- Multiple indices of pages stored in cache for easy selection.
- Interactive or command line option to select pages for fetching
  individually or recursively.
- All options controlled using a simple configuration file with a web
  page to edit it.

%description -l de
Ein (HTTP/FTP) Proxy Server fr Computer mit Whlverbindungen ins
Internet. Folgendes wird untersttzt:
- Seiten werden lokal gespeichert und knnen jederzeit erneut
  abgerufen werden, auch OHNE Verbindung ins Internet
- Seiten, die nicht lokal vorhanden sind, werden 'bestellt'.
- Seiten knnen abonniert, d.h. regelmig heruntergeladen, werden;
  dies auch rekursiv.
- Alle lokal vorhandenen Seiten sind auf verschiedene Weisen indiziert
  und durchsuchbar.
- Steuerung erfolgt per Web-Browser, Kommandozeile und einer einfachen
  Konfigurationsdatei
- Jede Meldung von WWWOFFLE kann durch eigene ersetzt werden (so wurde
  auch diese bersetzung realisiert)
- WWWOFFLE untersttzt verschiedene Authentifikationsmethoden

%description -l es
Un servidor proxy HTTP/FTP para ordenadores con conexin intermitente
a internet.
- Almacenado de pginas vistas mientras se estuvo conectado para
  releerlas ms tarde.
- Revisin de pginas almacenadas mientras no se est conectado, con
  la habilidad de seguir enlaces y marcar otras pginas para recogida.
- Recogida de pginas especificadas de forma no interactiva.
- Monitorizado de pginas para recogida regular.
- Mltiples ndices de las pginas almacenadas para una seleccin
  fcil.
- Opcin para seleccionar pginas de forma interactiva o en lnea de
  comandos de manera individual o recursiva.
- Todas las opciones se contralan usando un simple fichero de
  configuracin con una pgina web para editarlo.

%description -l pl
Serwer proxy HTTP/FTP dla komputerw z dostpem do internetu typu
dial-up.
- Buforowanie stron przegldanych podczas poczenia.
- Przegldanie buforowanych stron bez potrzeby poczenia, z
  moliwocia podania za czami i oznaczania innych stron do
  pobrania.
- Pobieranie okrelonych stron nieinteraktywnie.
- Monitorowanie stron dla regularnego pobierania.
- Wiele indeksw przechowywanych w buforze stron dla atwego ich
  wyboru.
- Interaktywne lub z linii komend opcje wyboru stron do pobrania
  indywidualnie lub rekursywnie.
- Wszystkie opcje s kontrolowane przy uyciu prostego pliku
  konfiguracji z moliwoci edycji z poziomu strony web.

%prep
%setup -q
%patch0 -p1

%build
%configure2_13 \
	--with-zlib \
	--with-ipv6 \
	--with-spooldir=%{_var}/cache/%{name}
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_var}/cache/%{name}/{ftp,prev{out,time}{1,2,3,4,5,6,7},temp}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT%{_var}/cache/%{name}/html $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s %{_datadir}/%{name} $RPM_BUILD_ROOT%{_var}/cache/%{name}/html

install src/uncompress-cache $RPM_BUILD_ROOT%{_bindir}
install -s src/convert-cache conf

install -d $RPM_BUILD_ROOT%{_mandir}/fr/man5
install doc/fr/wwwoffle.conf.man $RPM_BUILD_ROOT%{_mandir}/fr/man5/wwwoffle.conf.5
rm -f doc/fr/wwwoffle.conf.man*

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

mv doc/es/contrib/README doc/es/README-contrib
mv doc/es/testprogs/README doc/es/README-testprogs
rm -rf doc/es/{contrib,testprogs}

%triggerpostun -- wwwoffle < 2.7

echo Note!  Your existing cache and config file look earlier than
echo 2.7 version. There have been several major changes in config
echo file and some minor changes in cache handling. Read the file
echo NEWS and following at a pinch for details. All the necessary
echo files are available from within your documentation directory.

%clean
rm -rf $RPM_BUILD_ROOT

%pre
test -h %{_var}/cache/%{name}/html || rm -rf %{_var}/cache/%{name}/html

%files
%defattr(644,root,root,755)
%lang(de) %doc doc/de
%lang(es) %doc doc/es
%lang(fr) %doc doc/fr
%lang(pl) %doc doc/pl
%doc doc/{ANNOUNCE,CHANGES.CONF,CONVERT,FAQ,NEWS,README*}
%doc ChangeLog* conf/{convert-cache,upgrade-config*}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/%{name}
%attr(660,http,http) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}.conf
%{_mandir}/man[158]/*
%lang(fr) %{_mandir}/fr/man5/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/default
%{_datadir}/%{name}/en
%lang(de) %{_datadir}/%{name}/de
%lang(es) %{_datadir}/%{name}/es
%lang(fr) %{_datadir}/%{name}/fr
%lang(it) %{_datadir}/%{name}/it
%lang(nl) %{_datadir}/%{name}/nl
%lang(pl) %{_datadir}/%{name}/pl
%lang(ru) %{_datadir}/%{name}/ru
%defattr(664,http,http,775)
%dir %{_var}/cache/%{name}
%{_var}/cache/%{name}/[!o]*
%dir %{_var}/cache/%{name}/outgoing
%config(missingok) %{_var}/cache/%{name}/outgoing/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wwwoffle.spec,v $
Revision 1.56  2002/10/06 06:18:33  gotar
- upgraded to 2.7f,
- added %{_var}/cache/%{name}/{ftp,prev{out,time}{1,2,3,4,5,6,7},temp}
  directories to the package contents,
- moved %{_var}/cache/%{name}/html to %{_datadir}/%{name} - these are
  static files with messages, search forms and documentation,
  %{_var}/cache/%{name}/local stores local pages.

Revision 1.55  2002/09/17 15:17:10  ankry
- fixed Source URL

Revision 1.54  2002/09/10 11:39:01  gotar
- updated to 2.7e (bugfixes),
- root.root -> http.http for %{_var} files,
- STBR.

Revision 1.53  2002/08/01 18:11:58  blues
- 2.7d - SECURITY UPDATE
STBR

Revision 1.52  2002/06/24 09:04:54  gotar
- upgraded to 2.7b,
- removed outdated patch.

Revision 1.51  2002/05/31 16:28:47  gotar
- new %doc

Revision 1.50  2002/04/10 00:44:50  gotar
- updated to 2.7a (lots of bugfixes), STBR.

Revision 1.49  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/30 18:38:15  alchemyx
- ugly words back again. sorry.

Revision 1.46  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.45  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/12/13 22:27:51  gotar
- adapterized to DESTDIR style install,
- no release change.

Revision 1.43  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.42  2001/08/12 11:36:08  gotar
- made USE_ZLIB=1 explicite.

Revision 1.41  2001/08/12 10:43:44  gotar
- added ftp with IPv6 patch (misiek).

Revision 1.40  2001/08/09 12:16:20  gotar
- patch replaced with make option.

Revision 1.39  2001/08/08 20:09:08  gotar
- cosmetics.

Revision 1.38  2001/08/04 22:45:50  misiek
ipv6 fixes; it's back AGAIN!

Revision 1.37  2001/07/20 07:53:19  gotar
- disabled fucked up IPv6 support.

Revision 1.36  2001/07/17 11:20:08  gotar
- upgraded to 2.6d,
- enabled IPv6 support,
- added BuildRequires: zlib-devel,
- extended description.

Revision 1.35  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.34  2001/07/03 20:33:20  gotar
- reverted to 1.32; that was ok.

Revision 1.33  2001/06/30 14:09:38  gotar
- fixed %{_var}/cache/%{name}/outgoing/* state.

Revision 1.32  2001/06/29 10:09:39  kloczek
- adapterized.

Revision 1.31  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%{debug} ready or added using %%{rpm*flags} macros

Revision 1.30  2001/04/27 15:09:04  gotar
- upgraded to 2.6c,
- added convert-cache and upgrade-config* files to doc,
- added %triggerpostun message (old files warning),
- spec cleanup.

Revision 1.29  2001/04/21 12:48:16  gotar
- added empty html replacement (patch0),
- fixed build process (spool and conf dir) (patch1),
- spec cosmetics and fixup.

Revision 1.28  2001/04/17 11:02:48  gotar
- fixed package filelist.

Revision 1.27  2001/04/13 18:44:24  gotar
- added BuildRequires: flex,
- added de and es %descriptions,
- fixed old log typo,
- corrected state of first-time outgoings.

Revision 1.26  2001/04/13 15:27:35  gotar
- upgraded to 2.6b,
- spec cleanup and fixup.

Revision 1.25  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.24  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/11 09:07:42  wiget
release++

Revision 1.22  2000/04/29 09:57:32  pawelk
Correct spool-dir in /etc/wwwoffle.conf (from BUILDROOT/var/cache/wwwoffle
to /var/cache/wwwoffle)

Revision 1.21  2000/04/01 21:34:58  kloczek
- "Requires: rc-scripts >= 0.2.0".

Revision 1.20  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:55:13  baggins
- translated kloczkish into english

Revision 1.18  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.17  2000/03/01 17:37:43  misiek
- updated to 2.5d and integrated IPv6 support

Revision 1.16  1999/10/27 07:21:52  kloczek
- updated to 2.5b,
- added missing %config /etc/sysconfig/wwwoffle file.

Revision 1.15  1999/10/17 22:26:51  wrobell
- fixed typo: /var/chache -> /var/cache

Revision 1.14  1999/09/26 15:19:57  kloczek
- /var/spool/wwwoffle changed to /var/cache/wwwoffle (now package is FHS
  compliant),
- removed INSTALL from %doc,
- implemented reload target in init script for wwwoffle,
- changed permission on init script to 754,

Revision 1.13  1999/09/26 14:22:19  pius
- updated to 2.5

Revision 1.12  1999/09/11 14:16:25  misiek
- fixed requires (PR#64)

Revision 1.11  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 21 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.4d-1]
- package is FHS 2.0 compliant,
- added using more rpm macros,
- added wwwoffle-DESTDIR.patch,
- added wwwoffle.init,
- minor changes.

* Sun Mar 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.4b-1]
- changed base Source Url to:
  http://www.gedanken.demon.co.uk/download-wwwoffle/

* Thu Mar 18 1999 Micha Kuratczyk <kura@pld.org.pl>
  [2.3a-2]
- added gzipping documentation and man pages
- added Group(pl)

* Tue Sep 22 1998 Piotr Dembiski <hector@kki.net.pl>
  [2.3a-1]
- first release in rpm package.
